<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateOrganizersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: organizers
         */
        Schema::create('organizers', function ($table) {
            $table->increments('id');
            $table->string('name', 225)->nullable();
            $table->string('code', 100)->nullable();
            $table->enum('shipping_company', ['yes','no'])->nullable();
            $table->text('slug')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('organizers');
    }
}
