<?php

namespace Btravel\Organizer;

use User;

class Organizer
{
    /**
     * $organizer object.
     */
    protected $organizer;

    /**
     * Constructor.
     */
    public function __construct(\Btravel\Organizer\Interfaces\OrganizerRepositoryInterface $organizer)
    {
        $this->organizer = $organizer;
    }

    /**
     * Returns count of organizer.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.organizer.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->organizer->pushCriteria(new \Litepie\Btravel\Repositories\Criteria\OrganizerUserCriteria());
        }

        $organizer = $this->organizer->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('organizer::' . $view, compact('organizer'))->render();
    }
}
