<?php

namespace Btravel\Organizer\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class OrganizerTransformer extends TransformerAbstract
{
    public function transform(\Btravel\Organizer\Models\Organizer $organizer)
    {
        return [
            'id'                => $organizer->getRouteKey(),
            'key'               => [
                'public'    => $organizer->getPublicKey(),
                'route'     => $organizer->getRouteKey(),
            ], 
            'id'                => $organizer->id,
            'name'              => $organizer->name,
            'code'              => $organizer->code,
            'shipping_company'  => $organizer->shipping_company,
            'slug'              => $organizer->slug,
            'created_at'        => $organizer->created_at,
            'updated_at'        => $organizer->updated_at,
            'deleted_at'        => $organizer->deleted_at,
            'url'               => [
                'public'    => trans_url('organizer/'.$organizer->getPublicKey()),
                'user'      => guard_url('organizer/organizer/'.$organizer->getRouteKey()),
            ], 
            'status'            => trans('app.'.$organizer->status),
            'created_at'        => format_date($organizer->created_at),
            'updated_at'        => format_date($organizer->updated_at),
        ];
    }
}